- name: Remount {{ quobyte_registry }} /etc/fstab
  become: true
  shell: 'umount -l {{ quobyte_mount_point }}; mount {{ quobyte_mount_point }}'
  listen: Remount Quobyte
  when:
    - ansible_distribution_major_version | int < 16

- name: Remount {{ quobyte_registry }} Systemd
  become: true
  service:
    name: quobyte-client
    state: restarted
  listen: Remount Quobyte
  when:
    - ansible_distribution_major_version | int >= 16
    - not (quobyte_systemd_remounted.changed | default(false))
